/**
 * Returns `code_challenge` and `code_challenge_method`
 * and saves them in a cookie.
 * @type {import("types/internals").NextAuthApiHandler}
 * @returns {Promise<undefined | {code_challenge: string; code_challenge_method: "S256"}>
 */
export function createPKCE(req: import("types/internals").NextAuthRequest, res: import("types/internals").NextAuthResponse): Promise<undefined | {
    code_challenge: string;
    code_challenge_method: "S256";
}>;
/**
 * Returns code_verifier if provider uses PKCE,
 * and clears the cookie afterwards.
 * @param {import("types/internals").NextAuthRequest} req
 */
export function usePKCECodeVerifier(req: import("types/internals").NextAuthRequest, res: any): Promise<any>;
